APROPOS(1)

NOM
apropos - Chercher le nom et la description des pages de manuel

SYNOPSIS
apropos [-dalv?V] [-e|-w|-r] [-s liste] [-m système[,...]] [-M chemin] [-L locale] [-C fichier] mot-clé ...

DESCRIPTION
Chaque page de manuel comporte une courte description. apropos recherche et affiche cette description pour chaque page correspondant à mot-clé. mot-clé est, par défaut, considéré en tant qu'expression rationnelle, comme avec l'option -r, mais peut aussi contenir des jokers (wildcards) avec l'option -w, ou rechercher une correspondance exacte avec le mot-clé grâce à l'option -e. Avec ces options, il peut être nécessaire de placer mot-clé entre guillemets (simples ou doubles) ou de protéger avec « \ » les caractères spéciaux afin d'empêcher leur développement par l'interpréteur de commandes. Les règles standard permettent de faire des recherches sur le nom des pages ainsi que sur des mots de la description. La base de données utilisée par apropos est mise à jour par le programme mandb. Selon votre installation, ce peut être exécuté périodiquement à l'aide de cron, ou par vous-même après l'installation de nouvelles pages de manuel.

OPTIONS

-d, --debug
    Affiche les informations de mise au point.

-v, --verbose
    Affiche des messages d'avertissement étendus.

-r, --regex
    Interprète chaque mot-clé comme une expression rationnelle. C'est le comportement par défaut. Chaque mot-clé sera indépendamment comparé avec le nom des pages et avec leur description. Il peut correspondre à n'importe quelle partie de l'un ou l'autre. La recherche n'est pas limitée aux frontières de mot.

-w, --wildcard
    Interprète chaque mot-clé comme un motif contenant des jokers (wildcards) compréhensibles par l'interpréteur de commandes. Chaque motif sera comparé indépendamment avec le nom des pages et avec leur description. Si --exact est employé, la recherche n'aboutira que si le motif correspond au nom complet de la page ou à la totalité de la description. Sinon, les correspondances entre le motif et des mots complets de la description seront également recherchées.

-e, --exact
    Chaque mot-clé est comparé exactement avec le nom des pages et avec leur description.

-a, --and
    Affiche seulement l'élément correspondant à tous les mots-clés fournis. Par défaut, les éléments affichés sont ceux qui correspondent à n'importe quel mot-clé.

-l, --long
    Ne réduit pas l'affichage à la largeur du terminal. Normalement la sortie sera tronquée à la largeur du terminal pour éviter des résultats déplaisants avec des sections NOM mal écrites.

-s liste, --sections=liste, --section=liste
    La recherche est limitée aux sections de manuel indiquées. liste est une liste de sections séparées par des deux-points ou des virgules. Si une des entrées de la liste est une section simple, par exemple « 3 », alors la liste des descriptions affichées inclura les pages des sections « 3 », « 3perl », « 3x », et ainsi de suite. Par contre, si une des entrées de la liste est plus précise, par exemple « 3perl », alors la liste n'inclura que les pages de cette partie de section.

-m système[,...], --systems=système[,...]
    If this system has access to other operating systems' manual page descriptions, they can be searched using this option. To search NewOS's manual page descriptions, use the option -m NewOS. Le système indiqué peut être une suite de noms de systèmes d'exploitation, séparés par des virgules. Pour inclure une recherche sur le whatis du système natif, il faut inclure le nom système « man » dans la chaîne fournie en argument. Cette option remplacera la variable d'environnement $SYSTEM.

-M liste_de_chemins, --manpath=liste_de_chemins
    Indique une liste de structures hiérarchiques de pages de manuel, séparées par des deux-points, à utiliser lors des recherches. Par défaut, apropos utilise la variable d'environnement $MANPATH, à moins qu'elle ne soit vide ou n'ait été supprimée. Dans ce cas, il détermine la liste appropriée des chemins d'accès aux pages de manuel en se basant sur la variable d'environnement $PATH. Cette option remplace le contenu de $MANPATH.

-L locale, --locale=locale
    apropos détermine habituellement la locale (NdT : la langue ou le dialecte) actuelle par un appel à la fonction C setlocale(3) qui consulte diverses variables d'environnement, y compris $LC_MESSAGES et $LANG. Pour remplacer temporairement la valeur définie, utilisez cette option. Elle fournit directement à apropos la chaîne de caractères représentant la locale. Notez que cette valeur ne prendra effet qu'à partir de la recherche des pages. Par conséquent, les autres affichages, tels que les messages d'aide, seront toujours montrés dans la langue initialement déterminée.

-C fichier, --config-file=fichier
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Affiche un message d'aide et s'arrête.

--usage
    Affiche un court mode d'emploi et s'arrête.

-V, --version
    Affiche le numéro de version.

CODE DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration.

2   Erreur d'exécution.

16  Rien n'a été trouvé selon les critères indiqués.

ENVIRONNEMENT

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiquée comme argument de l'option -m.

MANPATH
    Si $MANPATH est définie, sa valeur est interprétée comme une liste d'éléments, séparés par des deux-points, représentant les chemins d'accès aux structures hiérarchiques de pages de manuel. See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANWIDTH
    Si $MANWIDTH est définie, sa valeur est utilisée comme largeur de terminal (voir l'option --long). Sinon, la largeur du terminal sera calculée d'après les valeurs de $COLUMNS et ioctl(2) s'il est disponible, soit à 80 colonnes si aucune indication n'est trouvée.

POSIXLY_CORRECT
    Si $POSIXLY_CORRECT est définie, même avec une valeur vide, apropos fera, par défaut, une recherche selon une expression rationnelle, comme si l'option « -r » avait été indiquée. Il s'agit actuellement du comportement par défaut.

FICHIERS

/usr/share/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/cache/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale, conforme à FHS.

/usr/share/man/.../whatis
    Base de données texte whatis traditionnelle.

VOIR AUSSI
man(1), whatis(1), mandb(8)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BOGUES
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:https://po4a.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».